public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-plasma/libkworkspace/
Date: Thu, 15 Sep 2022 21:41:23 +0000 (UTC)	[thread overview]
Message-ID: <1663278071.8a7559daa08a219750ff78d53cdf050c3fe20068.asturm@gentoo> (raw)

commit:     8a7559daa08a219750ff78d53cdf050c3fe20068
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 15 21:36:22 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Sep 15 21:41:11 2022 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=8a7559da

kde-plasma/libkworkspace: 5.25.90 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../libkworkspace/libkworkspace-5.25.90.ebuild     | 54 ++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/kde-plasma/libkworkspace/libkworkspace-5.25.90.ebuild b/kde-plasma/libkworkspace/libkworkspace-5.25.90.ebuild
new file mode 100644
index 0000000000..dee0ce32a3
--- /dev/null
+++ b/kde-plasma/libkworkspace/libkworkspace-5.25.90.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+KDE_ORG_NAME="plasma-workspace"
+KFMIN=5.98.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.5
+inherit ecm plasma.kde.org
+
+DESCRIPTION="Workspace library to interact with the Plasma session manager"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RDEPEND="
+	>=dev-qt/qtdbus-${QTMIN}:5
+	>=dev-qt/qtx11extras-${QTMIN}:5
+	>=kde-frameworks/kconfig-${KFMIN}:5
+	>=kde-frameworks/kcoreaddons-${KFMIN}:5
+	>=kde-frameworks/ki18n-${KFMIN}:5
+	>=kde-frameworks/kwindowsystem-${KFMIN}:5
+	>=kde-plasma/kscreenlocker-${PVCUT}:5
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXau
+"
+DEPEND="${RDEPEND}
+	>=kde-plasma/kwin-${PVCUT}:5
+"
+
+S="${S}/${PN}"
+
+src_prepare() {
+	# delete colliding libkworkspace translations, let ecm_src_prepare do its magic
+	if [[ ${KDE_BUILD_TYPE} = release ]]; then
+		find ../po -type f -name "*po" -and -not -name "libkworkspace*" -delete || die
+		rm -rf po/*/docs || die
+		cp -a ../po ./ || die
+	fi
+
+	eapply "${FILESDIR}/${PN}-5.22.80-standalone.patch"
+	sed -e "/set/s/GENTOO_PV/$(ver_cut 1-3)/" -i CMakeLists.txt || die
+	cat >> CMakeLists.txt <<- _EOF_ || die
+		ki18n_install(po)
+	_EOF_
+
+	ecm_src_prepare
+}


             reply	other threads:[~2022-09-15 21:41 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-15 21:41 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-16 11:42 [gentoo-commits] proj/kde:master commit in: kde-plasma/libkworkspace/ Andreas Sturmlechner
2022-09-15 20:57 Andreas Sturmlechner
2022-09-06 19:16 Andreas Sturmlechner
2022-09-03 13:05 Andreas Sturmlechner
2022-07-13  9:18 Andreas Sturmlechner
2022-07-12 13:50 Andreas Sturmlechner
2022-06-14 12:47 Andreas Sturmlechner
2022-06-08  9:22 Andreas Sturmlechner
2022-03-21 19:03 Andreas Sturmlechner
2022-02-08 13:17 Andreas Sturmlechner
2022-02-03 20:10 Andreas Sturmlechner
2022-01-18 17:41 Andreas Sturmlechner
2022-01-17 17:49 Andreas Sturmlechner
2022-01-04 16:20 Andreas Sturmlechner
2022-01-04 11:57 Andreas Sturmlechner
2021-10-14 10:26 Andreas Sturmlechner
2021-10-04 13:04 Andreas Sturmlechner
2021-09-21 18:44 Andreas Sturmlechner
2021-09-02 17:36 Andreas Sturmlechner
2021-06-11  5:49 Andreas Sturmlechner
2021-05-14 20:41 Andreas Sturmlechner
2021-04-11 20:03 Andreas Sturmlechner
2021-02-16 15:48 Andreas Sturmlechner
2021-02-16 14:25 Andreas Sturmlechner
2021-02-11 13:38 Andreas Sturmlechner
2021-01-23  0:26 Andreas Sturmlechner
2021-01-06 19:44 Andreas Sturmlechner
2021-01-05 17:44 Andreas Sturmlechner
2020-10-13 11:51 Andreas Sturmlechner
2020-10-09  6:35 Andreas Sturmlechner
2020-09-19  8:12 Andreas Sturmlechner
2020-09-01 16:40 Andreas Sturmlechner
2020-09-01 12:01 Andreas Sturmlechner
2020-04-16 14:09 Andreas Sturmlechner
2018-10-24 18:27 Andreas Sturmlechner
2018-10-22 20:52 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1663278071.8a7559daa08a219750ff78d53cdf050c3fe20068.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox